Subject: Offline Message from Roaa Bukhari: Good day, I have received today my order
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 14 Jun 2020 19:01:01 -0000

From: Roaa Bukhari <[email-masked]>
Phone: 
Location: , Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/contact-us/
Department: 

Good day, 
I have received today my order after a month and 5 days , which is (100148480) Dyson 10 vacuum, and there is a problem with the machine it doesn’t work and I am so disappointed. Please answer me what is the next step for case like this. 
Thanks 

----
Zopim
https://www.zopim.com